require 'singleton'

module Pot
  class Config
    include Singleton

    attr_accessor :testing,
                  :verbose,
                  :force,
                  :cloud,
                  :debug

    def initialize
      @testing = false
      @verbose = false
      @force = false
      @debug = false
    end

    def testing?
      @testing
    end

    def debug?
      @debug
    end

  end

  def self.config
    Pot::Config.instance
  end
end
