module Pot
  class Role
    REGISTER = {}

    attr_reader :name, :instance

    def initialize(role_name, instance_name)
      @name = role_name
      instance = Pot::Instance::REGISTER[instance_name]
      raise "Undefined instance: #{instance_name}" unless instance
      @instance = instance

      REGISTER[role_name] = self
    end
  end
end
