module Pot
  class Instance
    REGISTER = {}

    attr_reader :name,
                :host,
                :user,
                :password,
                :port

    def initialize(name, host, options = {})
      @name = name
      @host = host
      @user = options[:user]
      @password = options[:password]
      @port = options[:port]

      REGISTER[name] = self
    end
  end
end
