module Pot
  class Template
    def initialize(package, name)
      @package = package
      @name = name
    end

    def path
      default_file_path = File.join(templates_directory, 'defaults', @package.name.to_s, @name.to_s)
      raise "Can't read template #{default_file_path}" unless File.readable?(default_file_path)
      default_file_path
    end

    private

      def templates_directory
        File.join(Dir.pwd, 'templates')
      end
  end
end
